<?php
ini_set('soap.wsdl_cache_enabled', '0');

$mode = array(
        'trace' => 1
		);

$WSDL = 'https://www.kuriernet.pl/shipping/?wsdl';

$Login = 'biuro@4kurier.pl';
$KluczApi = '980b538e-c340-489c-a86e-c1e454b29e5c';

$client = new SoapClient($WSDL, $mode);

/* --------------------------------------- pobierzGodzinyNadania --------------------------------------- */

$pobierzGodzinyNadania = array();
$pobierzGodzinyNadania['Autoryzacja']['Login'] = $Login;
$pobierzGodzinyNadania['Autoryzacja']['KluczAPI'] = $KluczApi;
$pobierzGodzinyNadania['KodPocztowyNadania'] = '43-100';
$pobierzGodzinyNadania['MiejscowoscNadania'] = 'Tychy';
$pobierzGodzinyNadania['KodPocztowyDostawy'] = '41-706';
$pobierzGodzinyNadania['MiejscowoscDostawy'] = 'Ruda Slaska';
$pobierzGodzinyNadania['KrajDostawy'] = 'PL';
$pobierzGodzinyNadania['Usluga'] = 'ups_standard';
$pobierzGodzinyNadania['Waga'] = '1.00';
$pobierzGodzinyNadania['DataNadania'] = date('Y-m-d', strtotime('+1 weekday'));

try {
	$pobierzGodzinyNadaniaResponse = $client->__soapCall('pobierzGodzinyNadania', array($pobierzGodzinyNadania));
	file_put_contents('log.txt', $client->__getLastRequest());
	echo '<pre>' . print_r($pobierzGodzinyNadaniaResponse, true) . '</pre>';
} catch(Exception $ex) {
	echo '<strong>'.$ex->faultstring.'</strong><br />';
	if (isset($ex->detail->pobierzGodzinyNadaniaFault->Bledy->Blad)) {
		if (count($ex->detail->pobierzGodzinyNadaniaFault->Bledy->Blad) > 1) {
			foreach ($ex->detail->pobierzGodzinyNadaniaFault->Bledy->Blad as $blad) {
				echo $blad->Kod . ' => ' . $blad->Komunikat . '<br />';
			}
		} else {
			echo $ex->detail->pobierzGodzinyNadaniaFault->Bledy->Blad->Kod . ' => ' . $ex->detail->pobierzGodzinyNadaniaFault->Bledy->Blad->Komunikat . '<br />';
		}
	}
	file_put_contents('log.txt', $client->__getLastResponse(), FILE_APPEND);
	//exit();
}

/* --------------------------------------- obliczCenePrzesylki --------------------------------------- */

$obliczCenePrzesylki = array();
$obliczCenePrzesylki['Autoryzacja']['Login'] = $Login;
$obliczCenePrzesylki['Autoryzacja']['KluczAPI'] = $KluczApi;
$obliczCenePrzesylki['Usluga'] = 'ups_standard';
$obliczCenePrzesylki['Opakowanie'] = 'PACZKA';

$obliczCenePrzesylki['Paczka']['Dlugosc'] = '20';
$obliczCenePrzesylki['Paczka']['Szerokosc'] = '40';
$obliczCenePrzesylki['Paczka']['Wysokosc'] = '60';
$obliczCenePrzesylki['Paczka']['Waga'] = '5.00';
$obliczCenePrzesylki['Paczka']['Wartosc'] = '25.00';
$obliczCenePrzesylki['Paczka']['Ilosc'] = '1';
$obliczCenePrzesylki['Paczka']['Niestandardowa'] = 'N';

$obliczCenePrzesylki['Ubezpieczenie'] = 'T';
$obliczCenePrzesylki['UslugiDodatkowe'] = '';
$obliczCenePrzesylki['KrajNadania'] = 'PL';
$obliczCenePrzesylki['KodPocztowyNadania'] = '43-100';
$obliczCenePrzesylki['KrajDostawy'] = 'PL';
$obliczCenePrzesylki['KodPocztowyDostawy'] = '41-706';

try {
	$obliczCenePrzesylkiResponse = $client->__soapCall('obliczCenePrzesylki', array($obliczCenePrzesylki));
	file_put_contents('log.txt', $client->__getLastRequest(), FILE_APPEND);
	echo '<pre>' . print_r($obliczCenePrzesylkiResponse, true) . '</pre>';
} catch(Exception $ex) {
	echo '<strong>'.$ex->faultstring.'</strong><br />';
	if (isset($ex->detail->obliczCenePrzesylkiFault->Bledy->Blad)) {
		if (count($ex->detail->obliczCenePrzesylkiFault->Bledy->Blad) > 1) {
			foreach ($ex->detail->obliczCenePrzesylkiFault->Bledy->Blad as $blad) {
				echo $blad->Kod . ' => ' . $blad->Komunikat . '<br />';
			}
		} else {
			echo $ex->detail->obliczCenePrzesylkiFault->Bledy->Blad->Kod . ' => ' . $ex->detail->obliczCenePrzesylkiFault->Bledy->Blad->Komunikat . '<br />';
		}
	}
	file_put_contents('log.txt', $client->__getLastResponse(), FILE_APPEND);
	//exit();
}

/* --------------------------------------- dodajPrzesylki --------------------------------------- */

$dodajPrzesylki = array();
$dodajPrzesylki['Autoryzacja']['Login'] = $Login;
$dodajPrzesylki['Autoryzacja']['KluczAPI'] = $KluczApi;

$dodajPrzesylki['Przesylka']['Usluga'] = 'ups_standard';

$dodajPrzesylki['Przesylka']['Nadawca']['Nazwa'] = 'Jan Kowalski';
$dodajPrzesylki['Przesylka']['Nadawca']['Kraj'] = 'PL';
$dodajPrzesylki['Przesylka']['Nadawca']['KodPocztowy'] = '43-100';
$dodajPrzesylki['Przesylka']['Nadawca']['Miejscowosc'] = 'Tychy';
$dodajPrzesylki['Przesylka']['Nadawca']['Ulica'] = 'Nowa';
$dodajPrzesylki['Przesylka']['Nadawca']['NrBudynku'] = '1';
$dodajPrzesylki['Przesylka']['Nadawca']['NrLokalu'] = '2';
$dodajPrzesylki['Przesylka']['Nadawca']['Telefon'] = '111222333';
$dodajPrzesylki['Przesylka']['Nadawca']['Email'] = 'example@domain.com';

$dodajPrzesylki['Przesylka']['Odbiorca']['Nazwa'] = 'Adam Nowak';
$dodajPrzesylki['Przesylka']['Odbiorca']['Kraj'] = 'PL';
$dodajPrzesylki['Przesylka']['Odbiorca']['KodPocztowy'] = '41-706';
$dodajPrzesylki['Przesylka']['Odbiorca']['Miejscowosc'] = 'Ruda Slaska';
$dodajPrzesylki['Przesylka']['Odbiorca']['Ulica'] = '1-go maja';
$dodajPrzesylki['Przesylka']['Odbiorca']['NrBudynku'] = '11';
$dodajPrzesylki['Przesylka']['Odbiorca']['NrLokalu'] = '3';
$dodajPrzesylki['Przesylka']['Odbiorca']['Telefon'] = '111222333';
$dodajPrzesylki['Przesylka']['Odbiorca']['Email'] = '';

$dodajPrzesylki['Przesylka']['Opakowanie'] = 'PACZKA';

$dodajPrzesylki['Przesylka']['Paczka']['Dlugosc'] = '20';
$dodajPrzesylki['Przesylka']['Paczka']['Szerokosc'] = '40';
$dodajPrzesylki['Przesylka']['Paczka']['Wysokosc'] = '60';
$dodajPrzesylki['Przesylka']['Paczka']['Waga'] = '5.00';
$dodajPrzesylki['Przesylka']['Paczka']['Wartosc'] = '25.00';
$dodajPrzesylki['Przesylka']['Paczka']['Ilosc'] = '1';
$dodajPrzesylki['Przesylka']['Paczka']['Niestandardowa'] = 'N';

$dodajPrzesylki['Przesylka']['UslugiDodatkowe'] = '';
$dodajPrzesylki['Przesylka']['Zawartosc'] = 'Elektronika';
$dodajPrzesylki['Przesylka']['Ubezpieczenie'] = 'T';
$dodajPrzesylki['Przesylka']['InformacjeDlaKuriera'] = 'Domofon nie działa';
$dodajPrzesylki['Przesylka']['DataNadania'] = date('Y-m-d', strtotime('+1 weekday'));
$dodajPrzesylki['Przesylka']['GodzinaNadaniaOd'] = '12:00';
$dodajPrzesylki['Przesylka']['GodzinaNadaniaDo'] = '16:00';
$dodajPrzesylki['Przesylka']['NrReferencyjny'] = rand();

try {
	
	$PrzesylkaResponse = $client->__soapCall('dodajPrzesylki', array($dodajPrzesylki));
	file_put_contents('log.txt', $client->__getLastRequest(), FILE_APPEND);
	echo '<pre>'.print_r($PrzesylkaResponse, true).'</pre>';
	file_put_contents('log.txt', $client->__getLastResponse(), FILE_APPEND);
} catch(Exception $ex) {
	echo '<strong>'.$ex->faultstring.'</strong><br />';
	if (isset($ex->detail->dodajPrzesylkiFault->Bledy->Blad)) {
		if (count($ex->detail->dodajPrzesylkiFault->Bledy->Blad) > 1) {
			foreach ($ex->detail->dodajPrzesylkiFault->Bledy->Blad as $blad) {
				echo $blad->Kod . ' => ' . $blad->Komunikat . '<br />';
			}
		} else {
			echo $ex->detail->dodajPrzesylkiFault->Bledy->Blad->Kod . ' => ' . $ex->detail->dodajPrzesylkiFault->Bledy->Blad->Komunikat . '<br />';
		}
	}
    file_put_contents('log.txt', $client->__getLastRequest(), FILE_APPEND);
	file_put_contents('log.txt', $client->__getLastResponse(), FILE_APPEND);
	exit();
}

/* --------------------------------------- pobierzEtykiety --------------------------------------- */

$pobierzEtykiety = array();
$pobierzEtykiety['Autoryzacja']['Login'] = $Login;
$pobierzEtykiety['Autoryzacja']['KluczAPI'] = $KluczApi;
$pobierzEtykiety['NrPrzesylki'] = $PrzesylkaResponse->PrzesylkaResponse->NrPrzesylki;

try {
	$pobierzEtykietyResponse = $client->__soapCall('pobierzEtykiety', array($pobierzEtykiety));
	file_put_contents('log.txt', $client->__getLastRequest(), FILE_APPEND);
	file_put_contents('log.txt', $client->__getLastResponse(), FILE_APPEND);
	file_put_contents('etykiety/' . $pobierzEtykietyResponse->Etykiety->NrPrzesylki . '.pdf', base64_decode($pobierzEtykietyResponse->Etykiety->Etykieta));	
	echo 'Pobrano etykietę przewozową dla przesyłki nr: <a href="etykiety/' . $PrzesylkaResponse->PrzesylkaResponse->NrPrzesylki . '.pdf" target="_blank">' . $PrzesylkaResponse->PrzesylkaResponse->NrPrzesylki . '</a><br />';
} catch(Exception $ex) {
	echo '<strong>'.$ex->faultstring.'</strong><br />';
	if (isset($ex->detail->pobierzEtykietyFault->Bledy->Blad)) {
		if (count($ex->detail->pobierzEtykietyFault->Bledy->Blad) > 1) {
			foreach ($ex->detail->pobierzEtykietyFault->Bledy->Blad as $blad) {
				echo $blad->Kod . ' => ' . $blad->Komunikat . '<br />';
			}
		} else {
			echo $ex->detail->pobierzEtykietyFault->Bledy->Blad->Kod . ' => ' . $ex->detail->pobierzEtykietyFault->Bledy->Blad->Komunikat . '<br />';
		}
	}
    file_put_contents('log.txt', $client->__getLastRequest(), FILE_APPEND);
	file_put_contents('log.txt', $client->__getLastResponse(), FILE_APPEND);
	exit();
}

	exit();
